Subject: Re: Regression in dmaengine/next was removed

From: Vinod Koul <[email-masked]>
Date: Fri, 2 Dec 2022 17:12:53 +0530

On 02-12-22, 12:20, Uwe Kleine-König wrote:
> Hello,
> 
> I made the subject a bit more expressive.
> 
> On Fri, Nov 25, 2022 at 09:52:51AM +0100, Krzysztof Kozlowski wrote:
> > On 25/11/2022 09:51, Uwe Kleine-König wrote:
> > > On Sun, Nov 20, 2022 at 12:22:31PM +0100, Krzysztof Kozlowski wrote:
> > >> On 20/11/2022 11:31, Krzysztof Kozlowski wrote:
> > >>> On 18/11/2022 22:54, Uwe Kleine-König wrote:
> > >>>> The linux/platform_data/dma-s3c24xx.h header file was removed. It didn't
> > >>>> declare or define any symbol needed in devs.c though, so the #include
> > >>>> can just be dropped.
> > >>>>
> > >>>> Fixes: cccc46ae3623 ("dmaengine: remove s3c24xx driver")
> > >>>> Signed-off-by: Uwe Kleine-König <[email-masked]>
> > >>>> ---
> > >>>
> > >>> The file was not removed... or it should not have been yet. The s3c24xx
> > >>> dma driver removal should be part of Arnd series taken via SoC ARM.
> > > 
> > > The patch enters next with the merge of
> > > 
> > > 	git://git.kernel.org/pub/scm/linux/kernel/git/vkoul/dmaengine.git next
> > > 
> > > Ah, the patch that became cccc46ae3623 (i.e. patch #14) is part of a
> > > bigger series. Its patch #1 removes s3c24xx.c (which you pointed out to be still
> > > broken) and patch #2 includes the change I suggested here.
> > > 
> > >> I think that commit should be just dropped instead.
> > > 
> > > +1
> > > 
> > > BTW, cccc46ae3623 is included in next since next-20221107 and breaks
> > > (at least) arm/s3c2410_defconfig. So I would consider reverting
> > > cccc46ae3623 a fix. (Added linux-next to Cc:)
> > 
> > Yes. The build failure of next was reported already by kernel test robot.
> > 
> > Vinod, can we drop this patch?
> 
> That patch is still contained in the next tags of this week. :-(

Apologies for delay, I was moving...

I have reverted and pushed now

Thanks for following up!

-- 
~Vinod